> ## Documentation Index
> Fetch the complete documentation index at: https://docs.bitski.com/llms.txt
> Use this file to discover all available pages before exploring further.

# POST Tokens

> Create a token

> [!NOTE]
>
> This API requires the `apps` scope

```bash cURL theme={null}
curl -X 'POST' \
  'https://api.bitski.com/v1/apps/{appId}/tokens' \
  -H 'accept: application/json' \
  -H 'Content-Type: application/json' \
  -H 'Authorization: Bearer <ACCESS_TOKEN>' \
  -d '{
  "initialOwner": "0xa4ef984773fd233c4cbed9cb1b905a3fa21e9461",
  "token": {
    "contractId": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
    "image": "https://cdn.bitskistatic.com/tokens-raw/54676382-bab5-408d-afe2-fc6f160da4a8/06fd0294-a425-44c7-96e8-9d24757163b4.png",
    "description": "A great token",
    "metadata": {
      "description": "A very special NFT",
      "external_url": "https://www.bitski.com/@Stapleverse",
      "image": "https://cdn.bitskistatic.com/tokens-raw/54676382-bab5-408d-afe2-fc6f160da4a8/06fd0294-a425-44c7-96e8-9d24757163b4.png",
      "name": "NFT Token #1",
      "properties": {},
    },
    "name": "Bird NFT",
    "state": "AVAILABLE",
    "tokenId": "0x1",
    "tokenTemplateId": "3fa85f64-5717-4562-b3fc-2c963f66afa6"
  },
  "transaction": {
    "from": "0xa4ef984773fd233c4cbed9cb1b905a3fa21e9461",
    "gas": "0xd9cb1b905",
    "gasPrice": "0xe8cb1b9"
  }
}'
```

### Path

**appId** `string` *required*

Your Bitski Application ID

### Response

**token** `object` *required*

**properties**

**id** `string` *required*

**tokenTemplateId** `string` *required*

**name** `string` *required*

**animationUrl** `string`

**backgroundColor** `string`

**youtubeUrl** `string`

**createdAt** `string` *required*

**description** `string` *required*

**externalUrl** `string`

**image** `string`

**index** `string` *required*

**metadata** `object` *required*

**privateMetadata** `object` *required*

**state** `string` *required*

```json Sample Response theme={null}
{
  "tokens": [
    {
      "animationUrl": null,
      "backgroundColor": "#ff1122",
      "createdAt": "2023-04-26T20:42:11.878Z",
      "description": "Interesting bird NFT",
      "externalUrl": "https://www.bitski.com/@Stapleverse",
      "id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
      "image": "https://cdn.bitskistatic.com/tokens-raw/54676382-bab5-408d-afe2-fc6f160da4a8/06fd0294-a425-44c7-96e8-9d24757163b4.png",
      "index": "0x3",
      "metadata": {
        "animation_url": null,
        "background_color": null,
        "description": "A very special NFT",
        "external_url": "https://www.bitski.com/@Stapleverse",
        "image": "https://cdn.bitskistatic.com/tokens-raw/54676382-bab5-408d-afe2-fc6f160da4a8/06fd0294-a425-44c7-96e8-9d24757163b4.png",
        "name": "NFT Token #1",
        "properties": {},
        "youtube_url": null
      },
      "name": "Bird #1",
      "privateMetadata": {},
      "state": "MINTED",
      "tokenTemplateId": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
      "youtubeUrl": null
    }
  ]
}
```


This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.